curl --request GET \
--url 'https://api.stateset.com/api/v1/inventory/reservations/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"created_at": "string",
"expires_at": null,
"id": "string",
"is_expired": true,
"location_id": "string",
"product_id": "string",
"quantity": 1,
"reference_id": "string",
"reference_type": "string",
"status": "string",
"updated_at": null
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
GET /api/v1/inventory/reservations/{id}
GET /api/v1/inventory/reservations/{id}
GET
/
api
/
v1
/
inventory
/
reservations
/
{id}
curl --request GET \
--url 'https://api.stateset.com/api/v1/inventory/reservations/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"created_at": "string",
"expires_at": null,
"id": "string",
"is_expired": true,
"location_id": "string",
"product_id": "string",
"quantity": 1,
"reference_id": "string",
"reference_type": "string",
"status": "string",
"updated_at": null
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
Path parameters
string
required
Reservation ID
Responses
ApiResponse_ReservationDetail
Reservation details
object
Reservation not found
curl --request GET \
--url 'https://api.stateset.com/api/v1/inventory/reservations/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"created_at": "string",
"expires_at": null,
"id": "string",
"is_expired": true,
"location_id": "string",
"product_id": "string",
"quantity": 1,
"reference_id": "string",
"reference_type": "string",
"status": "string",
"updated_at": null
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
⌘I